System.register(['./index-0812a769.system.js'], function (exports) {
    'use strict';
    var registerInstance, h;
    return {
        setters: [function (module) {
                registerInstance = module.r;
                h = module.h;
            }],
        execute: function () {
            var notificationCss = ".notification:not(:last-child){margin-bottom:1.5rem}.notification{background-color:whitesmoke;border-radius:4px;position:relative;padding:1.25rem 2.5rem 1.25rem 1.5rem}.notification a:not(.button):not(.dropdown-item){color:currentColor;text-decoration:underline}.notification strong{color:currentColor}.notification code,.notification pre{background:white}.notification pre code{background:transparent}.notification>.delete{right:0.5rem;position:absolute;top:0.5rem}.notification .title,.notification .subtitle,.notification .content{color:currentColor}.notification.is-white{background-color:white;color:#0a0a0a}.notification.is-black{background-color:#0a0a0a;color:white}.notification.is-light{background-color:whitesmoke;color:rgba(0, 0, 0, 0.7)}.notification.is-dark{background-color:#363636;color:#fff}.notification.is-primary{background-color:#5851ff;color:#fff}.notification.is-primary.is-light{background-color:#ebebff;color:#0a00f0}.notification.is-link{background-color:#5851ff;color:#fff}.notification.is-link.is-light{background-color:#ebebff;color:#0a00f0}.notification.is-info{background-color:#3298dc;color:#fff}.notification.is-info.is-light{background-color:#eef6fc;color:#1d72aa}.notification.is-success{background-color:#48c774;color:#fff}.notification.is-success.is-light{background-color:#effaf3;color:#257942}.notification.is-warning{background-color:#ffdd57;color:rgba(0, 0, 0, 0.7)}.notification.is-warning.is-light{background-color:#fffbeb;color:#947600}.notification.is-danger{background-color:#f14668;color:#fff}.notification.is-danger.is-light{background-color:#feecf0;color:#cc0f35}";
            var Notification = exports('bm_notification', /** @class */ (function () {
                function class_1(hostRef) {
                    registerInstance(this, hostRef);
                    /**
                     * Dismissable
                     */
                    this.dismissable = true;
                }
                class_1.prototype.render = function () {
                    var _a;
                    return (h("div", { class: (_a = {
                                notification: true
                            },
                            _a[this.color] = Boolean(this.color),
                            _a) }, this.dismissable && h("button", { class: "delete" }), h("slot", null)));
                };
                return class_1;
            }()));
            Notification.style = notificationCss;
        }
    };
});
