System.register(['./index-0812a769.system.js'], function (exports) {
    'use strict';
    var registerInstance, h;
    return {
        setters: [function (module) {
                registerInstance = module.r;
                h = module.h;
            }],
        execute: function () {
            var radioCss = ".radio,.checkbox{cursor:pointer;display:inline-block;line-height:1.25;position:relative}.radio input,.checkbox input{cursor:pointer}.radio:hover,.checkbox:hover{color:#363636}[disabled].radio,[disabled].checkbox,fieldset[disabled] .radio,fieldset[disabled] .checkbox{color:#7a7a7a;cursor:not-allowed}.radio+.radio{margin-left:0.5em}";
            var Radio = exports('bm_radio', /** @class */ (function () {
                function class_1(hostRef) {
                    registerInstance(this, hostRef);
                    /**
                     * Input class
                     */
                    this.inputClass = '';
                    /**
                     * Label Classes
                     */
                    this.labelClass = '';
                    /**
                     * Checked
                     */
                    this.checked = false;
                    /**
                     * Disabled
                     */
                    this.disabled = false;
                }
                class_1.prototype.render = function () {
                    var _a, _b;
                    return (h("label", { class: (_a = {
                                radio: true
                            },
                            _a[this.labelClass] = Boolean(this.labelClass),
                            _a) }, h("input", { class: (_b = {},
                            _b[this.inputClass] = Boolean(this.inputClass),
                            _b), type: "radio", name: this.name, disabled: this.disabled, checked: this.checked }), h("slot", null)));
                };
                return class_1;
            }()));
            Radio.style = radioCss;
        }
    };
});
