'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-8e7d875f.js');

const sectionCss = ".section{padding:3rem 1.5rem}@media screen and (min-width: 1024px){.section.is-medium{padding:9rem 1.5rem}.section.is-large{padding:18rem 1.5rem}}bm-section{display:block}";

const Section = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h(index.Host, { class: {
                section: true,
                [this.size]: Boolean(this.size),
            } }));
    }
};
Section.style = sectionCss;

exports.bm_section = Section;
