import { Component, Prop, h, Host } from '@stencil/core';
export class Column {
    render() {
        return (h(Host, { class: {
                column: true,
                'is-narrow': this.isNarrow && typeof this.isNarrow === 'boolean',
                [this.sizes]: Boolean(this.sizes),
            } }));
    }
    static get is() { return "bm-column"; }
    static get properties() { return {
        "sizes": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Sizes"
            },
            "attribute": "sizes",
            "reflect": false
        },
        "isNarrow": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Narrow column"
            },
            "attribute": "is-narrow",
            "reflect": false
        }
    }; }
}
