import { Component, Prop, h, Host } from '@stencil/core';
export class Section {
    render() {
        return (h(Host, { class: {
                section: true,
                [this.size]: Boolean(this.size),
            } }));
    }
    static get is() { return "bm-section"; }
    static get originalStyleUrls() { return {
        "$": ["section.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["section.css"]
    }; }
    static get properties() { return {
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-medium' | 'is-large'",
                "resolved": "\"is-large\" | \"is-medium\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Section size"
            },
            "attribute": "size",
            "reflect": false
        }
    }; }
}
