import { r as registerInstance, h, e as Host } from './index-75c52ae9.js';

const footerCss = ".footer{background-color:#fafafa;padding:3rem 1.5rem 6rem}";

const Footer = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Host, null, h("footer", { class: {
                footer: true,
            } }, h("slot", null))));
    }
};
Footer.style = footerCss;

export { Footer as bm_footer };
