import { r as registerInstance, h, e as Host } from './index-75c52ae9.js';

const sectionCss = ".section{padding:3rem 1.5rem}@media screen and (min-width: 1024px){.section.is-medium{padding:9rem 1.5rem}.section.is-large{padding:18rem 1.5rem}}bm-section{display:block}";

const Section = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Host, { class: {
                section: true,
                [this.size]: Boolean(this.size),
            } }));
    }
};
Section.style = sectionCss;

export { Section as bm_section };
