import { Component, Prop, h, Host } from '@stencil/core';
export class Content {
    render() {
        return (h(Host, null,
            h("div", { class: {
                    content: true,
                    [this.size]: Boolean(this.size),
                } },
                h("slot", null))));
    }
    static get is() { return "bm-content"; }
    static get originalStyleUrls() { return {
        "$": ["content.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["content.css"]
    }; }
    static get properties() { return {
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-small' | 'is-medium' | 'is-large'",
                "resolved": "\"is-large\" | \"is-medium\" | \"is-small\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Content size"
            },
            "attribute": "size",
            "reflect": false
        }
    }; }
}
