import { JSX, ComponentInterface } from '../../../stencil-public-runtime';
export declare class Badge implements ComponentInterface {
    /**
     * Color
     */
    color: 'is-primary' | 'is-info' | 'is-success' | 'is-danger' | 'is-warning' | 'is-white' | 'is-dark' | 'is-black';
    /**
     * Position
     */
    position: 'is-top-left' | 'is-top' | 'is-top-right' | 'is-right' | 'is-bottom-right' | 'is-bottom' | 'is-bottom-left' | 'is-left';
    /**
     * Is outlined
     */
    isOutlined: boolean;
    /**
     * Is light
     */
    isLight: boolean;
    render(): JSX.Element;
}
